package com.qimai.android.tools

import android.content.Context
import android.util.DisplayMetrics

/**
 *   created by wangwei   ON 2019-08-22  email:wangwei_5521@163.com
 *   @version 1.1.1
 *   @Description
 **/

private fun getDisplayMetrics(context: Context): DisplayMetrics {
    return context.resources.displayMetrics

}

/**
 * 获取屏幕宽度
 *
 * @return
 */
fun getScreenWidth(context: Context): Int {
    return getDisplayMetrics(context).widthPixels
}

/**
 * 获取屏幕高度
 *
 * @return
 */
fun getScreenHeight(context: Context): Int {
    var screenHeight = getDisplayMetrics(context).heightPixels
//    if (QMUIDeviceHelper.isXiaomi() && xiaomiNavigationGestureEnabled(context)) {
//        screenHeight += getResourceNavHeight(context)
//    }
    return screenHeight
}
